#!/usr/bin/env bash

# Fail on first error
set -e

dartanalyzer --fatal-infos --fatal-warnings .

echo
echo "Checking if the code is properly formatted..."
dartfmt -w --set-exit-if-changed .

echo
echo "Running tests..."
pub run test -r expanded test/test.dart